Invoice
Create an invoice from a sale (draft or sent)
POST
/
v1
/
invoices
Create an invoice from a sale (draft or sent)
curl --request POST \
--url https://dev.flextell.ai/api/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"sale_id": 2,
"invoice_account_id": 2,
"series_name": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"global_withholding_rate": 0.5,
"use_passport_number": true,
"notes": "<string>",
"custom_line_items": [
{
"name": "<string>",
"quantity": 1.01,
"unit_price": 1,
"vat_rate_percent": "<string>"
}
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/invoices"
payload = {
"sale_id": 2,
"invoice_account_id": 2,
"series_name": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"global_withholding_rate": 0.5,
"use_passport_number": True,
"notes": "<string>",
"custom_line_items": [
{
"name": "<string>",
"quantity": 1.01,
"unit_price": 1,
"vat_rate_percent": "<string>"
}
]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sale_id: 2,
invoice_account_id: 2,
series_name: '<string>',
issue_date: '2023-11-07T05:31:56Z',
global_withholding_rate: 0.5,
use_passport_number: true,
notes: '<string>',
custom_line_items: [
{name: '<string>', quantity: 1.01, unit_price: 1, vat_rate_percent: '<string>'}
]
})
};
fetch('https://dev.flextell.ai/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
The sale ID.
Required range:
x >= 1The invoice account ID.
Required range:
x >= 1The mode of operation.
Available options:
draft, send The invoice series name.
Maximum string length:
50The invoice issue date (YYYY-MM-DD).
Global withholding tax rate as a percentage.
Required range:
0 <= x <= 1Whether to use the passport number on the invoice.
Internal notes.
Maximum string length:
2000Custom invoice line items.
Show child attributes
Show child attributes
Response
The response is of type object.
⌘I
Create an invoice from a sale (draft or sent)
